## ros-indigo-grizzly-motion 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(grizzly_motion)

find_package(catkin REQUIRED COMPONENTS cmake_modules geometry_msgs grizzly_msgs roboteq_msgs roscpp tf diagnostic_updater angles)
find_package(Eigen REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  DEPENDS eigen
  )

include_directories(include ${catkin_INCLUDE_DIRS} ${Eigen_INCLUDE_DIRS})

add_subdirectory(src)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

=== src/CMakeLists.txt ===

add_executable(${PROJECT_NAME}_motion_generator motion_generator_node)
add_dependencies(${PROJECT_NAME}_motion_generator grizzly_msgs_gencpp)
target_link_libraries(${PROJECT_NAME}_motion_generator ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME}_motion_generator
                      PROPERTIES OUTPUT_NAME motion_generator PREFIX "")

add_executable(${PROJECT_NAME}_motion_safety motion_safety_node encoders_monitor motors_monitor)
add_dependencies(${PROJECT_NAME}_motion_safety grizzly_msgs_gencpp roboteq_msgs_gencpp)
target_link_libraries(${PROJECT_NAME}_motion_safety ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME}_motion_safety
                      PROPERTIES OUTPUT_NAME motion_safety PREFIX "")

add_executable(${PROJECT_NAME}_dead_reckoning dead_reckoning_node dead_reckoning)
add_dependencies(${PROJECT_NAME}_dead_reckoning grizzly_msgs_gencpp)
target_link_libraries(${PROJECT_NAME}_dead_reckoning ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME}_dead_reckoning
                      PROPERTIES OUTPUT_NAME dead_reckoning PREFIX "")

install(TARGETS
  ${PROJECT_NAME}_dead_reckoning
  ${PROJECT_NAME}_motion_generator
  ${PROJECT_NAME}_motion_safety
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== test/CMakeLists.txt ===
catkin_add_gtest(${PROJECT_NAME}_dead_reckoning_tests dead_reckoning_tests ../src/dead_reckoning)
target_link_libraries(${PROJECT_NAME}_dead_reckoning_tests ${catkin_LIBRARIES})

catkin_add_gtest(${PROJECT_NAME}_encoders_monitor_tests encoders_monitor_tests ../src/encoders_monitor)
target_link_libraries(${PROJECT_NAME}_encoders_monitor_tests ${catkin_LIBRARIES})

=== debian/changelog ===
ros-indigo-grizzly-motion (0.3.2-0trusty) trusty; urgency=high

  * Added a precharge check before transitioning into MOVING state. Without this,
    precharges that take longer than 2.0 seconds will cause stuttering issues if
    there is already a cmd_vel being sent.
  * Added estop check in watchdog callback for the Moving state. Without this, the
    state machine will get stuck in the Moving state if the vehicle is estopped while
    there is still a stream of motion commands being sent.
  * Contributors: Mike Purvis, Peiyi Chen

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 06 Nov 2015 05:00:00 -0000

ros-indigo-grizzly-motion (0.3.1-0trusty) trusty; urgency=high

  * Fix grizzly_motion/tests bugs
  * Contributors: Shokoofeh Pourmehr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 09 Jan 2015 05:00:00 -0000

ros-indigo-grizzly-motion (0.3.0-0trusty) trusty; urgency=high

  * Replace robot_pose_ekf with robot_localization.
  * add front axle publisher.
  * added publisher for wheel joints.
  * Fix dependency on roboteq_msgs.
  * Clarify timeout statemachine logic.
  * Use the FindEigen from cmake_modules.
  * Contributors: Mike Purvis, Shokoofeh Pourmehr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Dec 2014 05:00:00 -0000

ros-indigo-grizzly-motion (0.2.0-0trusty) trusty; urgency=high

  * Change max acceleration from 0.5 to 1.5.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 28 Feb 2014 05:00:00 -0000

ros-indigo-grizzly-motion (0.1.4-0trusty) trusty; urgency=high

  * Disable encoder check pending a better implementation.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 27 Feb 2014 05:00:00 -0000

ros-indigo-grizzly-motion (0.1.3-0trusty) trusty; urgency=high

  * Check absolute value of measured speed; fixes bug with spurious encoder faults when driving backwards.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 25 Feb 2014 05:00:00 -0000

ros-indigo-grizzly-motion (0.1.2-0trusty) trusty; urgency=high

  * Install missing launch folder.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 04 Dec 2013 05:00:00 -0000

ros-indigo-grizzly-motion (0.1.1-0trusty) trusty; urgency=high

  * Add roboteq_msgs, nav_msgs dependency to grizzly_motion, remote unused eigen_conversions.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 30 Nov 2013 05:00:00 -0000

ros-indigo-grizzly-motion (0.1.0-0trusty) trusty; urgency=high

  * Initial release of motion package, corresponding to source release
    shipped with Nov 2013 deliveries.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 28 Nov 2013 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-grizzly-motion
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-indigo-angles, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-grizzly-msgs, ros-indigo-nav-msgs, ros-indigo-roboteq-msgs, ros-indigo-roscpp, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-grizzly-motion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-angles, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-grizzly-msgs, ros-indigo-nav-msgs, ros-indigo-roboteq-msgs, ros-indigo-roscpp, ros-indigo-tf
Description: Low-level motion control nodes for Grizzly which are common to simulated and non-simulated Grizzly.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-grizzly-motion//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
